import { ActivityIndicator, View } from "react-native";

type LoadingSpinnerProps = {
  size?: "small" | "large";
  color?: string;
};

export function LoadingSpinner({ size = "large", color = "#9ca3af" }: LoadingSpinnerProps) {
  return (
    <View className="flex-1 items-center justify-center">
      <ActivityIndicator size={size} color={color} />
    </View>
  );
}
